import os
import sys

NULL_HYPOTHESIS_INDEX = 0
RUNTIME_INDEX = 12

thetas=("0.1", "0.15", "0.2", "0.25", "0.5")

files=("wlan5", "wlan6")

class InstanceResults:
    def __init__(self):
        self.runtimes = []
        self.alternateHypothesis = []

    def avgRuntime(self):
        total = 0.0
        for runtime in self.runtimes:
            total = total + runtime
        return total / len(self.runtimes)

    def foundAlt(self):
        for alt in self.alternateHypothesis:
            if(alt):
                return True
        return False
    
    def foundNull(self):
        for alt in self.alternateHypothesis:
            if(not alt):
                return True
        return False

    def toString(self):
        result = str(self.avgRuntime()) + ", "
        PMC = "T"
        if(self.foundNull() and self.foundAlt()):
            PMC = "F*"
        elif(self.foundNull() and (not self.foundAlt())):
            PMC = "T"
        elif((not self.foundNull()) and self.foundAlt()):
            PMC = "F"
        result = result + PMC
        return result
        
def parseOneTest(fi, r):
    runtime = 0
    foundAlternate = False;
    for line in fi:
        tokens = line.rstrip("\n\r").split(",")
        runtime = runtime + float(tokens[RUNTIME_INDEX])
        if(tokens[NULL_HYPOTHESIS_INDEX] == "0"):
            foundAlternate = True
            break
    r.runtimes.append(runtime)
    r.alternateHypothesis.append(foundAlternate)
            
    

def parseOne(f):
    print f
    for theta in thetas:
        r = InstanceResults()
        for i in range(10):
            filename = f + "_HT_" + theta + "_test"+str(i)+".txt"
            fi = open(filename, "r")
            parseOneTest(fi, r)
            fi.close()
        print theta + ", " + r.toString()
    

def main():
    for f in files:
        parseOne(f)

if __name__ == "__main__":
    main()
